33 lines
1.2 KiB
Diff
33 lines
1.2 KiB
Diff
|
From 1b8616adeec0e397f8485496d80b70c4368a9c4b Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Tue, 28 May 2013 16:15:24 +0200
|
||
|
Subject: [PATCH] url-lib/url-lib.sh: turn off curl globbing
|
||
|
|
||
|
https://bugzilla.redhat.com/show_bug.cgi?id=907497
|
||
|
---
|
||
|
modules.d/45url-lib/url-lib.sh | 4 ++--
|
||
|
1 file changed, 2 insertions(+), 2 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/45url-lib/url-lib.sh b/modules.d/45url-lib/url-lib.sh
|
||
|
index 4a3d56d..c00ca18 100755
|
||
|
--- a/modules.d/45url-lib/url-lib.sh
|
||
|
+++ b/modules.d/45url-lib/url-lib.sh
|
||
|
@@ -54,7 +54,7 @@ add_url_handler() {
|
||
|
|
||
|
export CURL_HOME="/run/initramfs/url-lib"
|
||
|
mkdir -p $CURL_HOME
|
||
|
-curl_args="--location --retry 3 --fail --show-error"
|
||
|
+curl_args="--globoff --location --retry 3 --fail --show-error"
|
||
|
getargbool 0 rd.noverifyssl && curl_args="$curl_args --insecure"
|
||
|
|
||
|
proxy=$(getarg proxy=)
|
||
|
@@ -64,7 +64,7 @@ curl_fetch_url() {
|
||
|
local url="$1" outloc="$2"
|
||
|
echo "$url" > /proc/self/fd/0
|
||
|
if [ -n "$outloc" ]; then
|
||
|
- curl --globoff $curl_args --output "$outloc" "$url" || return $?
|
||
|
+ curl $curl_args --output "$outloc" "$url" || return $?
|
||
|
else
|
||
|
local outdir="$(mkuniqdir /tmp curl_fetch_url)"
|
||
|
( cd "$outdir"; curl $curl_args --remote-name "$url" || return $? )
|